//**************************************************************************
//   Copyright (C) 2004, 2005 by Petri Damstn
//   petri.damsten@iki.fi
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the
//   Free Software Foundation, Inc.,
//   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//**************************************************************************
#ifndef KMFFONT_H
#define KMFFONT_H

#include <qstring.h>
#include <qfont.h>
#include <qdom.h>
#include <qmap.h>
#include <Magick++.h>

namespace KMF
{
  class Font
  {
    public:
      Font(QFont font = QFont()) :
          m_name(font.family()), m_size(font.pointSize()),
          m_weight(font.weight()) { };
      const QString& name() const { return m_name; };
      void setName(const QString& name) { m_name = name; };
      //const QRgb& color() const { return m_color; };
      //void setColor(const QRgb& color) { m_color = color; };
      const int& size() const { return m_size; };
      void setSize(const int& size) { m_size = size; };
      const int& weight() const { return m_weight; };
      void setWeight(const int& weight) { m_weight = weight; };
      const QString& file() { return fileMap()[m_name]; };

      void toXML(QDomElement& element) const;
      void fromXML(const QDomElement& element);
      int pixelHeight(const QString& text) const;
      int pixelWidth(const QString& text) const;
      static const QMap<QString, QString>& fileMap();

    private:
      QString m_name;
      //QRgb m_color;
      int m_size;
      int m_weight;
      static QMap<QString, QString> m_fileMap;

      Magick::TypeMetric typeMetrics(const QString& text) const;
      // style
      // stretch
      // decoration
  };
}

#endif
