//**************************************************************************
//   Copyright (C) 2004 by Petri Damstn
//   petri.damsten@iki.fi
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the
//   Free Software Foundation, Inc.,
//   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//**************************************************************************
#ifndef KMFIMAGEVIEW_H
#define KMFIMAGEVIEW_H

#include "rect.h"
#include <qscrollview.h>
#include <qpixmap.h>

/**
@author Petri Damsten
*/
class KMFImageView : public QScrollView
{
    Q_OBJECT
  public:
    KMFImageView(QWidget *parent = 0, const char *name = 0);
    ~KMFImageView();

    void setPixmap(const QPixmap& image);
    void setImage(const QImage& image);
    const QPixmap& pixmap() { return m_image; };
    void clear() { m_image = QPixmap(); };
    const KMF::Rect::VAlign& valign() const { return m_valign; };
    void setValign(const KMF::Rect::VAlign& valign) { m_valign = valign; };
    const KMF::Rect::HAlign& halign() const { return m_halign; };
    void setHalign(const KMF::Rect::HAlign& halign) { m_halign = halign; };
    const bool& scaled() const { return m_scaled; };
    void setScaled(const bool& scaled) { m_scaled = scaled; };

  protected:
    void drawContents(QPainter* p, int clipx, int clipy, int clipw, int cliph);
    virtual void resizeEvent (QResizeEvent*);

  private:
    QPixmap m_image;
    bool m_scaled;
    KMF::Rect::VAlign m_valign;
    KMF::Rect::HAlign m_halign;
};

#endif
