//**************************************************************************
//   Copyright (C) 2004, 2005 by Petri Damstn
//   petri.damsten@iki.fi
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the
//   Free Software Foundation, Inc.,
//   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//**************************************************************************
#include "kmflanguages.h"
#include <klocale.h>

static const char* languages[][2] =
{
  {I18N_NOOP("Abkhazian"), "ab"},
  {I18N_NOOP("Afan (Oromo)"), "om"},
  {I18N_NOOP("Afar"), "aa"},
  {I18N_NOOP("Afrikaans"), "af"},
  {I18N_NOOP("Albanian"), "sq"},
  {I18N_NOOP("Amharic"), "am"},
  {I18N_NOOP("Arabic"), "ar"},
  {I18N_NOOP("Armenian"), "hy"},
  {I18N_NOOP("Assamese"), "as"},
  {I18N_NOOP("Aymara"), "ay"},
  {I18N_NOOP("Azerbaijani"), "az"},
  {I18N_NOOP("Bashkir"), "ba"},
  {I18N_NOOP("Basque"), "eu"},
  {I18N_NOOP("Bengali;Bangla"), "bn"},
  {I18N_NOOP("Bhutani"), "dz"},
  {I18N_NOOP("Bihari"), "bh"},
  {I18N_NOOP("Bislama"), "bi"},
  {I18N_NOOP("Breton"), "br"},
  {I18N_NOOP("Bulgarian"), "bg"},
  {I18N_NOOP("Burmese"), "my"},
  {I18N_NOOP("Byelorussian"), "be"},
  {I18N_NOOP("Cambodian"), "km"},
  {I18N_NOOP("Catalan"), "ca"},
  {I18N_NOOP("Chinese"), "zh"},
  {I18N_NOOP("Corsican"), "co"},
  {I18N_NOOP("Croatian"), "hr"},
  {I18N_NOOP("Czech"), "cs"},
  {I18N_NOOP("Danish"), "da"},
  {I18N_NOOP("Dutch"), "nl"},
  {I18N_NOOP("English"), "en"},
  {I18N_NOOP("Esperanto"), "eo"},
  {I18N_NOOP("Estonian"), "et"},
  {I18N_NOOP("Faroese"), "fo"},
  {I18N_NOOP("Fiji"), "fj"},
  {I18N_NOOP("Finnish"), "fi"},
  {I18N_NOOP("French"), "fr"},
  {I18N_NOOP("Frisian"), "fy"},
  {I18N_NOOP("Galician"), "gl"},
  {I18N_NOOP("Georgian"), "ka"},
  {I18N_NOOP("German"), "de"},
  {I18N_NOOP("Greek"), "el"},
  {I18N_NOOP("Greenlandic"), "kl"},
  {I18N_NOOP("Guarani"), "gn"},
  {I18N_NOOP("Gujarati"), "gu"},
  {I18N_NOOP("Hausa"), "ha"},
  {I18N_NOOP("Hebrew"), "iw"},
  {I18N_NOOP("Hindi"), "hi"},
  {I18N_NOOP("Hungarian"), "hu"},
  {I18N_NOOP("Icelandic"), "is"},
  {I18N_NOOP("Indonesian"), "in"},
  {I18N_NOOP("Interlingua"), "ia"},
  {I18N_NOOP("Interlingue"), "ie"},
  {I18N_NOOP("Inupiak"), "ik"},
  {I18N_NOOP("Irish"), "ga"},
  {I18N_NOOP("Italian"), "it"},
  {I18N_NOOP("Japanese"), "ja"},
  {I18N_NOOP("Javanese"), "jv"},
  {I18N_NOOP("Kannada"), "kn"},
  {I18N_NOOP("Kashmiri"), "ks"},
  {I18N_NOOP("Kazakh"), "kk"},
  {I18N_NOOP("Kinyarwanda"), "rw"},
  {I18N_NOOP("Kirghiz"), "ky"},
  {I18N_NOOP("Kurundi"), "rn"},
  {I18N_NOOP("Korean"), "ko"},
  {I18N_NOOP("Kurdish"), "ku"},
  {I18N_NOOP("Laothian"), "lo"},
  {I18N_NOOP("Latin"), "la"},
  {I18N_NOOP("Latvian;Lettish"), "lv"},
  {I18N_NOOP("Lingala"), "ln"},
  {I18N_NOOP("Lithuanian"), "lt"},
  {I18N_NOOP("Macedonian"), "mk"},
  {I18N_NOOP("Malagasy"), "mg"},
  {I18N_NOOP("Malay"), "ms"},
  {I18N_NOOP("Malayalam"), "ml"},
  {I18N_NOOP("Maltese"), "mt"},
  {I18N_NOOP("Maori"), "mi"},
  {I18N_NOOP("Marathi"), "mr"},
  {I18N_NOOP("Moldavian"), "mo"},
  {I18N_NOOP("Mongolian"), "mn"},
  {I18N_NOOP("Nauru"), "na"},
  {I18N_NOOP("Nepali"), "ne"},
  {I18N_NOOP("Norwegian"), "no"},
  {I18N_NOOP("Occitan"), "oc"},
  {I18N_NOOP("Oriya"), "or"},
  {I18N_NOOP("Pashto;Pushto"), "ps"},
  {I18N_NOOP("Persian (Farsi)"), "fa"},
  {I18N_NOOP("Polish"), "pl"},
  {I18N_NOOP("Portuguese"), "pt"},
  {I18N_NOOP("Punjabi"), "pa"},
  {I18N_NOOP("Quechua"), "qu"},
  {I18N_NOOP("Rhaeto-Romance"), "rm"},
  {I18N_NOOP("Romanian"), "ro"},
  {I18N_NOOP("Russian"), "ru"},
  {I18N_NOOP("Samoan"), "sm"},
  {I18N_NOOP("Sangho"), "sg"},
  {I18N_NOOP("Sanskrit"), "sa"},
  {I18N_NOOP("Scots Gaelic"), "gd"},
  {I18N_NOOP("Serbian"), "sr"},
  {I18N_NOOP("Serbo-Croatian"), "sh"},
  {I18N_NOOP("Sesotho"), "st"},
  {I18N_NOOP("Setswana"), "tn"},
  {I18N_NOOP("Shona"), "sn"},
  {I18N_NOOP("Sindhi"), "sd"},
  {I18N_NOOP("Singhalese"), "si"},
  {I18N_NOOP("Siswati"), "ss"},
  {I18N_NOOP("Slovak"), "sk"},
  {I18N_NOOP("Slovenian"), "sl"},
  {I18N_NOOP("Somali"), "so"},
  {I18N_NOOP("Spanish"), "es"},
  {I18N_NOOP("Sundanese"), "su"},
  {I18N_NOOP("Swahili"), "sw"},
  {I18N_NOOP("Swedish"), "sv"},
  {I18N_NOOP("Tagalog"), "tl"},
  {I18N_NOOP("Tajik"), "tg"},
  {I18N_NOOP("Tamil"), "ta"},
  {I18N_NOOP("Tatar"), "tt"},
  {I18N_NOOP("Telugu"), "te"},
  {I18N_NOOP("Thai"), "th"},
  {I18N_NOOP("Tibetan"), "bo"},
  {I18N_NOOP("Tigrinya"), "ti"},
  {I18N_NOOP("Tonga"), "to"},
  {I18N_NOOP("Tsonga"), "ts"},
  {I18N_NOOP("Turkish"), "tr"},
  {I18N_NOOP("Turkmen"), "tk"},
  {I18N_NOOP("Twi"), "tw"},
  {I18N_NOOP("Ukrainian"), "uk"},
  {I18N_NOOP("Urdu"), "ur"},
  {I18N_NOOP("Uzbek"), "uz"},
  {I18N_NOOP("Vietnamese"), "vi"},
  {I18N_NOOP("Volapuk"), "vo"},
  {I18N_NOOP("Welsh"), "cy"},
  {I18N_NOOP("Wolof"), "wo"},
  {I18N_NOOP("Xhosa"), "xh"},
  {I18N_NOOP("Yiddish"), "ji"},
  {I18N_NOOP("Yoruba"), "yo"},
  {I18N_NOOP("Zulu"), "zu"},
  {"", ""}
};

KMFLanguages::KMFLanguages()
  : QMap<QString, QString>()
{
  int i = 0;
  while(languages[i][0][0] != '\0')
  {
    insert(languages[i][1], i18n(languages[i][0]));
    ++i;
  }
}

KMFLanguages::~KMFLanguages()
{
}


