#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './videooptionslayout.ui'
**
** Created: Wed Jun 15 15:36:32 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "videooptionslayout.h"

#include <qvariant.h>
#include <kmediafactory/common.h>
#include <kiconloader.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <kurlrequester.h>
#include <qcombobox.h>
#include <qlistbox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a VideoOptionsLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
VideoOptionsLayout::VideoOptionsLayout( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "VideoOptionsLayout" );
    VideoOptionsLayoutLayout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "VideoOptionsLayoutLayout"); 

    titleLabel = new QLabel( this, "titleLabel" );
    VideoOptionsLayoutLayout->addWidget( titleLabel );

    titleEdit = new QLineEdit( this, "titleEdit" );
    VideoOptionsLayoutLayout->addWidget( titleEdit );

    directoryLabel = new QLabel( this, "directoryLabel" );
    VideoOptionsLayoutLayout->addWidget( directoryLabel );

    previewURL = new KURLRequester( this, "previewURL" );
    previewURL->setMode( 9 );
    VideoOptionsLayoutLayout->addWidget( previewURL );

    aspectLabel = new QLabel( this, "aspectLabel" );
    VideoOptionsLayoutLayout->addWidget( aspectLabel );

    aspectComboBox = new QComboBox( FALSE, this, "aspectComboBox" );
    VideoOptionsLayoutLayout->addWidget( aspectComboBox );

    subtitleLabel = new QLabel( this, "subtitleLabel" );
    VideoOptionsLayoutLayout->addWidget( subtitleLabel );

    subtitleURL = new KURLRequester( this, "subtitleURL" );
    subtitleURL->setMode( 9 );
    VideoOptionsLayoutLayout->addWidget( subtitleURL );

    audioLabel = new QLabel( this, "audioLabel" );
    VideoOptionsLayoutLayout->addWidget( audioLabel );

    layout3 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 

    audioListBox = new QListBox( this, "audioListBox" );
    layout3->addWidget( audioListBox );

    layout2 = new QVBoxLayout( 0, 0, KDialog::spacingHint(), "layout2"); 

    audioButton = new KPushButton( this, "audioButton" );
    audioButton->setIconSet( QIconSet( BTN_ICON( "configure" ) ) );
    layout2->addWidget( audioButton );
    spacer2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout2->addItem( spacer2 );
    layout3->addLayout( layout2 );
    VideoOptionsLayoutLayout->addLayout( layout3 );

    layout6 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout6"); 

    chaptersButton = new KPushButton( this, "chaptersButton" );
    chaptersButton->setMinimumSize( QSize( 100, 0 ) );
    layout6->addWidget( chaptersButton );

    okButton = new KPushButton( this, "okButton" );
    okButton->setMinimumSize( QSize( 100, 0 ) );
    okButton->setIconSet( QIconSet( BTN_ICON( "button_ok" ) ) );
    layout6->addWidget( okButton );

    cancelButton = new KPushButton( this, "cancelButton" );
    cancelButton->setMinimumSize( QSize( 100, 0 ) );
    cancelButton->setIconSet( QIconSet( BTN_ICON( "button_cancel" ) ) );
    layout6->addWidget( cancelButton );
    VideoOptionsLayoutLayout->addLayout( layout6 );
    languageChange();
    resize( QSize(366, 406).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( chaptersButton, SIGNAL( clicked() ), this, SLOT( chaptersClicked() ) );
    connect( audioButton, SIGNAL( clicked() ), this, SLOT( audioClicked() ) );

    // tab order
    setTabOrder( titleEdit, previewURL );
    setTabOrder( previewURL, aspectComboBox );
    setTabOrder( aspectComboBox, subtitleURL );
    setTabOrder( subtitleURL, audioListBox );
    setTabOrder( audioListBox, audioButton );
    setTabOrder( audioButton, chaptersButton );
    setTabOrder( chaptersButton, okButton );
    setTabOrder( okButton, cancelButton );

    // buddies
    titleLabel->setBuddy( titleEdit );
    directoryLabel->setBuddy( previewURL );
    aspectLabel->setBuddy( aspectComboBox );
    subtitleLabel->setBuddy( subtitleURL );
    audioLabel->setBuddy( audioListBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
VideoOptionsLayout::~VideoOptionsLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void VideoOptionsLayout::languageChange()
{
    setCaption( tr2i18n( "Video Options" ) );
    titleLabel->setText( tr2i18n( "&Title:" ) );
    directoryLabel->setText( tr2i18n( "Custom &preview:" ) );
    aspectLabel->setText( tr2i18n( "&Aspect ratio:" ) );
    aspectComboBox->clear();
    aspectComboBox->insertItem( tr2i18n( "4:3" ) );
    aspectComboBox->insertItem( tr2i18n( "16:9" ) );
    subtitleLabel->setText( tr2i18n( "Su&btitle file:" ) );
    subtitleURL->setFilter( tr2i18n( "*.sub *.srt *.ssa *.smi *.rt *.txt *.aqt *.jss *.js *ass|Subtitle files\\n*.*|All files" ) );
    audioLabel->setText( tr2i18n( "Audio &languages:" ) );
    audioButton->setText( QString::null );
    chaptersButton->setText( tr2i18n( "&Chapters" ) );
    chaptersButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "Ca&ncel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
}

void VideoOptionsLayout::chaptersClicked()
{
    qWarning( "VideoOptionsLayout::chaptersClicked(): Not implemented yet" );
}

void VideoOptionsLayout::audioClicked()
{
    qWarning( "VideoOptionsLayout::audioClicked(): Not implemented yet" );
}

#include "videooptionslayout.moc"
